<?php

$config['defaultAnswer'] = [ "number"=> 0, "text"=> '请选择' ];

$config['questionToClientTemplate'] = [[
        "category"=> 1,
        "number"=> 1,
        "text"=> '客人的工作行业 What industry does your company work? Or what industry is your role in?',
        "selectedAnswer"=> $config['defaultAnswer'],
        "answerChoiceList"=> [
            [ "question_number"=> 1, "number"=> 10101, "text"=> '学校' ],
            [ "question_number"=> 1, "number"=> 10201, "text"=> '知名企业' ],
            [ "question_number"=> 1, "number"=> 10301, "text"=> '自己开公司' ],
            [ "question_number"=> 1, "number"=> 10401, "text"=> '律师' ],
            [ "question_number"=> 1, "number"=> 10501, "text"=> '医生' ],
            [ "question_number"=> 1, "number"=> 10601, "text"=> '工程师' ],
            [ "question_number"=> 1, "number"=> 10701, "text"=> '军事行业' ],
            [ "question_number"=> 1, "number"=> 10801, "text"=> '房地产' ],
            [ "question_number"=> 1, "number"=> 10901, "text"=> '公益机构' ],
            [ "question_number"=> 1, "number"=> 11001, "text"=> '自由职业' ],
            [ "question_number"=> 1, "number"=> 10001, "text"=> '其它' ]
        ]
    ],

    [
        "category"=> 1,
        "number"=> 2,
        "text"=> '客人的工作职位',
        "selectedAnswer"=> $config['defaultAnswer'],
        "answerChoiceList"=> [
            [ "question_number"=> 2, "number"=> 10102, "text"=> '退休' ],
            [ "question_number"=> 2, "number"=> 10202, "text"=> '农业&食品' ],
            [ "question_number"=> 2, "number"=> 10302, "text"=> '建工类' ],
            [ "question_number"=> 2, "number"=> 10402, "text"=> '艺术&通信' ],
            [ "question_number"=> 2, "number"=> 10502, "text"=> '企业管理' ],
            [ "question_number"=> 2, "number"=> 10602, "text"=> '教育培训' ],
            [ "question_number"=> 2, "number"=> 10702, "text"=> '金融财务' ],
            [ "question_number"=> 2, "number"=> 10802, "text"=> '自由职业' ],
            [ "question_number"=> 2, "number"=> 10902, "text"=> '政府行政' ],
            [ "question_number"=> 2, "number"=> 11002, "text"=> '健康科学' ],
            [ "question_number"=> 2, "number"=> 11102, "text"=> '酒店&旅游' ],
            [ "question_number"=> 2, "number"=> 11202, "text"=> '人力资源' ],
            [ "question_number"=> 2, "number"=> 11302, "text"=> '信息技术' ],
            [ "question_number"=> 2, "number"=> 11402, "text"=> '法律公共安全' ],
            [ "question_number"=> 2, "number"=> 11502, "text"=> '制造业' ],
            [ "question_number"=> 2, "number"=> 11602, "text"=> '销售服务业' ],
            [ "question_number"=> 2, "number"=> 11702, "text"=> '科技工程' ],
            [ "question_number"=> 2, "number"=> 11802, "text"=> '物流' ],
            [ "question_number"=> 2, "number"=> 11902, "text"=> '家庭主妇' ],
            [ "question_number"=> 2, "number"=> 10002, "text"=> '其它' ]
        ]
    ],

    [
        "category"=> 2,
        "number"=> 3,
        "text"=> '你选择来中国的原因是什么？',
        "selectedAnswer"=> $config['defaultAnswer'],
        "answerChoiceList"=> [
            [ "question_number"=> 3, "number"=> 10103, "text"=> '看望在中国/亚洲工作或学习的亲朋好友' ],
            [ "question_number"=> 3, "number"=> 10203, "text"=> '有家人在学中文想到中国看看' ],
            [ "question_number"=> 3, "number"=> 10303, "text"=> '家人来中国/亚洲出差' ],
            [ "question_number"=> 3, "number"=> 10403, "text"=> '身边有中国的朋友经常提起' ],
            [ "question_number"=> 3, "number"=> 10503, "text"=> '带孩子来中国长见识' ],
            [ "question_number"=> 3, "number"=> 10603, "text"=> '对中国的文化风景感兴趣' ],
            [ "question_number"=> 3, "number"=> 10003, "text"=> '其它' ]
        ]
    ],

    [
        "category"=> 2,
        "number"=> 4,
        "text"=> '你什么时候开始考虑来中国旅行？',
        "selectedAnswer"=> $config['defaultAnswer'],
        "answerChoiceList"=> [
            [ "question_number"=> 4, "number"=> 10104, "text"=> '半年前' ],
            [ "question_number"=> 4, "number"=> 10204, "text"=> '一年前' ],
            [ "question_number"=> 4, "number"=> 10304, "text"=> '2年前' ],
            [ "question_number"=> 4, "number"=> 10004, "text"=> '其它' ]
        ]
    ],

    [
        "category"=> 2,
        "number"=> 5,
        "text"=> '你计划中国旅行最大的挑战是什么？What are your biggest challenges when you planned this trip?',
        "selectedAnswer"=> $config['defaultAnswer'],
        "answerChoiceList"=> [
            [ "question_number"=> 5, "number"=> 10105, "text"=> '协调一家人的出行时间' ],
            [ "question_number"=> 5, "number"=> 10205, "text"=> '中国太大行程安排复杂，无精力计划' ],
            [ "question_number"=> 5, "number"=> 10305, "text"=> '控制预算' ],
            [ "question_number"=> 5, "number"=> 10405, "text"=> '孩子需求难满足' ],
            [ "question_number"=> 5, "number"=> 10505, "text"=> '国际航班飞行时间太长' ],
            [ "question_number"=> 5, "number"=> 10605, "text"=> '中国的安全问题' ],
            [ "question_number"=> 5, "number"=> 10705, "text"=> '语言不通' ],
            [ "question_number"=> 5, "number"=> 10805, "text"=> '签证麻烦' ],
            [ "question_number"=> 5, "number"=> 10905, "text"=> '无法翻墙' ],
            [ "question_number"=> 5, "number"=> 10005, "text"=> '其它' ]
        ]
    ],
    // 使用场景：如何找到CH和为何选择CH
    [
        "category"=> 3,
        "number"=> 6,
        "text"=> '你从哪里知道China Highlights？',
        "selectedAnswer"=> $config['defaultAnswer'],
        "answerChoiceList"=> [
            [ "question_number"=> 6, "number"=> 10106, "text"=> 'Google搜索' ],
            [ "question_number"=> 6, "number"=> 10206, "text"=> '中国太大行程安排复杂，无精力计划' ],
            [ "question_number"=> 6, "number"=> 10306, "text"=> 'TA网站 ' ],
            [ "question_number"=> 6, "number"=> 10406, "text"=> '旅游博客' ],
            [ "question_number"=> 6, "number"=> 10506, "text"=> '朋友推荐' ],
            [ "question_number"=> 6, "number"=> 10006, "text"=> '其它' ]
        ]
    ],
    [
        "category"=> 3,
        "number"=> 7,
        "text"=> '出国旅行时，通常你的旅行方式是什么？Do you usually use a travel agency or travel independently? In what situation you would consider using a travel agent?',
        "selectedAnswer"=> $config['defaultAnswer'],
        "answerChoiceList"=> [
            [ "question_number"=> 7, "number"=> 10107, "text"=> '自由行' ],
            [ "question_number"=> 7, "number"=> 10207, "text"=> '旅行社跟团' ],
            [ "question_number"=> 7, "number"=> 10307, "text"=> '旅行社 ' ],
            [ "question_number"=> 7, "number"=> 10407, "text"=> '视目的地决定是否使用旅行社' ],
            [ "question_number"=> 7, "number"=> 10007, "text"=> '其它' ]
        ]
    ],
    [
        "category"=> 3,
        "number"=> 8,
        "text"=> '你一般从哪里获取旅行资讯？Where do you usually get travel information?',
        "selectedAnswer"=> $config['defaultAnswer'],
        "answerChoiceList"=> [
            [ "question_number"=> 8, "number"=> 10108, "text"=> 'Google' ],
            [ "question_number"=> 8, "number"=> 10208, "text"=> '朋友' ],
            [ "question_number"=> 8, "number"=> 10308, "text"=> '社交媒体如 Facebook, Instagram, Pinterests' ],
            [ "question_number"=> 8, "number"=> 10408, "text"=> '旅行杂志' ],
            [ "question_number"=> 8, "number"=> 10008, "text"=> '其它' ]
        ]
    ],
    [
        "category"=> 3,
        "number"=> 9,
        "text"=> '你为何决定选择China highlights？Why do you choose to travel with China Highlights?',
        "selectedAnswer"=> $config['defaultAnswer'],
        "answerChoiceList"=> [
            [ "question_number"=> 9, "number"=> 10109, "text"=> '外联专业，回复速度快' ],
            [ "question_number"=> 9, "number"=> 10209, "text"=> '朋友推荐CH' ],
            [ "question_number"=> 9, "number"=> 10309, "text"=> 'TA好评高' ],
            [ "question_number"=> 9, "number"=> 10409, "text"=> '价格合理' ],
            [ "question_number"=> 9, "number"=> 10509, "text"=> '公司可信任' ],
            [ "question_number"=> 9, "number"=> 10009, "text"=> '其它' ]
        ]
    ],
    // 观点和机会：对CH的评价与期望、重回亚洲的可能性,
    [
        "category"=> 4,
        "number"=> 10,
        "text"=> '你认为CH哪里做得比较好？',
        "selectedAnswer"=> $config['defaultAnswer'],
        "answerChoiceList"=> [
            [ "question_number"=> 10, "number"=> 10110, "text"=> '安排的体验独特' ],
            [ "question_number"=> 10, "number"=> 10210, "text"=> '行程衔接好' ],
            [ "question_number"=> 10, "number"=> 10310, "text"=> '导游专业' ],
            [ "question_number"=> 10, "number"=> 10410, "text"=> '外联专业' ],
            [ "question_number"=> 10, "number"=> 10510, "text"=> '网站专业和丰富' ],
            [ "question_number"=> 10, "number"=> 10610, "text"=> 'TA好评多' ],
            [ "question_number"=> 10, "number"=> 10010, "text"=> '其它' ]
        ]
    ],
    [
        "category"=> 4,
        "number"=> 11,
        "text"=> '你认为CH有哪些地方可以改进？',
        "selectedAnswer"=> $config['defaultAnswer'],
        "answerChoiceList"=> [
            [ "question_number"=> 11, "number"=> 10111, "text"=> '导游讲解的深度和趣味性' ],
            [ "question_number"=> 11, "number"=> 10211, "text"=> '实际走团安排更灵活' ],
            [ "question_number"=> 11, "number"=> 10311, "text"=> '车辆的舒适度和干净程度' ],
            [ "question_number"=> 11, "number"=> 10411, "text"=> '酒店的选择' ],
            [ "question_number"=> 11, "number"=> 10511, "text"=> '出发前来中国的常识提醒' ],
            [ "question_number"=> 11, "number"=> 10011, "text"=> '其它' ]
        ]
    ],
    [
        "category"=> 4,
        "number"=> 12,
        "text"=> '未来两年你是否考虑再来亚洲？期待去哪些目的地？Do you consider visiting other Asian countries in the next two years? Why? What are your top three destinations?',
        "selectedAnswer"=> $config['defaultAnswer'],
        "answerChoiceList"=> [
            [ "question_number"=> 12, "number"=> 10112, "text"=> '不考虑' ],
            [ "question_number"=> 12, "number"=> 10212, "text"=> '考虑' ],
            [ "question_number"=> 12, "number"=> 10012, "text"=> '其它计划' ]
        ]
    ]
];
