<?php

$config['defaultAnswer'] = [ "number" => 0, "text" => '请选择' ];

$config['questionToClientTemplate'] = [[
        "category" => 1,
        "number" => 1,
        "text" => '客人的工作行业',
        "selectedAnswer" => $config['defaultAnswer'],
        "answerChoiceList" => [
            [ "question_number" => 1, "number" => 1, "text" => '学校' ],
            [ "question_number" => 1, "number" => 2, "text" => '知名企业' ],
            [ "question_number" => 1, "number" => 3, "text" => '自己开公司' ],
            [ "question_number" => 1, "number" => 4, "text" => '律师' ],
            [ "question_number" => 1, "number" => 5, "text" => '医生' ],
            [ "question_number" => 1, "number" => 6, "text" => '工程师' ],
            [ "question_number" => 1, "number" => 7, "text" => '军事行业' ],
            [ "question_number" => 1, "number" => 8, "text" => '房地产' ],
            [ "question_number" => 1, "number" => 9, "text" => '公益机构' ],
            [ "question_number" => 1, "number" => 10, "text" => '自由职业' ],
            [ "question_number" => 1, "number" => 11, "text" => '其它' ]
        ]
    ],

    [
        "category" => 1,
        "number" => 2,
        "text" => '客人的工作职位',
        "selectedAnswer" => $config['defaultAnswer'],
        "answerChoiceList" => [
            [ "question_number" => 2, "number" => 12, "text" => '高管' ],
            [ "question_number" => 2, "number" => 13, "text" => '大学教授' ],
            [ "question_number" => 2, "number" => 14, "text" => 'CEO' ],
            [ "question_number" => 2, "number" => 15, "text" => '普通员工' ],
            [ "question_number" => 2, "number" => 16, "text" => '其它' ]
        ]
    ],

    [
        "category" => 2,
        "number" => 3,
        "text" => '你选择来中国的原因是什么？',
        "selectedAnswer" => $config['defaultAnswer'],
        "answerChoiceList" => [
            [ "question_number" => 3, "number" => 17, "text" => '看望在中国/亚洲工作或学习的亲朋好友' ],
            [ "question_number" => 3, "number" => 18, "text" => '有家人在学中文想到中国看看' ],
            [ "question_number" => 3, "number" => 19, "text" => '家人来中国/亚洲出差' ],
            [ "question_number" => 3, "number" => 20, "text" => '身边有中国的朋友经常提起' ],
            [ "question_number" => 3, "number" => 21, "text" => '带孩子来中国长见识' ],
            [ "question_number" => 3, "number" => 22, "text" => '对中国的文化风景感兴趣' ],
            [ "question_number" => 3, "number" => 23, "text" => '其它' ]
        ]
    ],

    [
        "category" => 2,
        "number" => 4,
        "text" => '你什么时候开始考虑来中国旅行？',
        "selectedAnswer" => $config['defaultAnswer'],
        "answerChoiceList" => [
            [ "question_number" => 4, "number" => 24, "text" => '半年前' ],
            [ "question_number" => 4, "number" => 25, "text" => '一年前' ],
            [ "question_number" => 4, "number" => 26, "text" => '2年前' ],
            [ "question_number" => 4, "number" => 27, "text" => '其它' ]
        ]
    ],

    [
        "category" => 2,
        "number" => 5,
        "text" => '你计划中国旅行最大的挑战是什么？',
        "selectedAnswer" => $config['defaultAnswer'],
        "answerChoiceList" => [
            [ "question_number" => 5, "number" => 28, "text" => '协调一家人的出行时间' ],
            [ "question_number" => 5, "number" => 29, "text" => '中国太大行程安排复杂，无精力计划' ],
            [ "question_number" => 5, "number" => 30, "text" => '控制预算' ],
            [ "question_number" => 5, "number" => 31, "text" => '孩子需求难满足' ],
            [ "question_number" => 5, "number" => 32, "text" => '国际航班飞行时间太长' ],
            [ "question_number" => 5, "number" => 33, "text" => '中国的安全问题' ],
            [ "question_number" => 5, "number" => 34, "text" => '语言不通' ],
            [ "question_number" => 5, "number" => 35, "text" => '签证麻烦' ],
            [ "question_number" => 5, "number" => 36, "text" => '无法翻墙' ],
            [ "question_number" => 5, "number" => 37, "text" => '其它' ]
        ]
    ],
    // 使用场景：如何找到CH和为何选择CH
    [
        "category" => 3,
        "number" => 6,
        "text" => '你从哪里知道China Highlights？',
        "selectedAnswer" => $config['defaultAnswer'],
        "answerChoiceList" => [
            [ "question_number" => 6, "number" => 38, "text" => 'Google搜索' ],
            [ "question_number" => 6, "number" => 39, "text" => '中国太大行程安排复杂，无精力计划' ],
            [ "question_number" => 6, "number" => 40, "text" => 'TA网站 ' ],
            [ "question_number" => 6, "number" => 41, "text" => '旅游博客' ],
            [ "question_number" => 6, "number" => 42, "text" => '朋友推荐' ],
            [ "question_number" => 6, "number" => 43, "text" => '其它' ]
        ]
    ],
    [
        "category" => 3,
        "number" => 7,
        "text" => '出国旅行时，通常你的旅行方式是什么？',
        "selectedAnswer" => $config['defaultAnswer'],
        "answerChoiceList" => [
            [ "question_number" => 7, "number" => 44, "text" => '自由行' ],
            [ "question_number" => 7, "number" => 45, "text" => '旅行社跟团' ],
            [ "question_number" => 7, "number" => 46, "text" => '旅行社 ' ],
            [ "question_number" => 7, "number" => 47, "text" => '视目的地决定是否使用旅行社' ],
            [ "question_number" => 7, "number" => 48, "text" => '其它' ]
        ]
    ],
    [
        "category" => 3,
        "number" => 8,
        "text" => '你一般从哪里获取旅行资讯？',
        "selectedAnswer" => $config['defaultAnswer'],
        "answerChoiceList" => [
            [ "question_number" => 8, "number" => 49, "text" => 'Google' ],
            [ "question_number" => 8, "number" => 50, "text" => '朋友' ],
            [ "question_number" => 8, "number" => 51, "text" => '社交媒体如 Facebook, Instagram, Pinterests' ],
            [ "question_number" => 8, "number" => 52, "text" => '旅行杂志' ],
            [ "question_number" => 8, "number" => 53, "text" => '其它' ]
        ]
    ],
    [
        "category" => 3,
        "number" => 9,
        "text" => '你为何决定选择China highlights ?',
        "selectedAnswer" => $config['defaultAnswer'],
        "answerChoiceList" => [
            [ "question_number" => 9, "number" => 54, "text" => '外联专业，回复速度快' ],
            [ "question_number" => 9, "number" => 55, "text" => '朋友推荐CH' ],
            [ "question_number" => 9, "number" => 56, "text" => 'TA好评高' ],
            [ "question_number" => 9, "number" => 57, "text" => '价格合理' ],
            [ "question_number" => 9, "number" => 58, "text" => '公司可信任' ],
            [ "question_number" => 9, "number" => 59, "text" => '其它' ]
        ]
    ],
    // 观点和机会：对CH的评价与期望、重回亚洲的可能性,
    [
        "category" => 4,
        "number" => 10,
        "text" => '你认为CH哪里做得比较好？',
        "selectedAnswer" => $config['defaultAnswer'],
        "answerChoiceList" => [
            [ "question_number" => 10, "number" => 60, "text" => '安排的体验独特' ],
            [ "question_number" => 10, "number" => 61, "text" => '行程衔接好' ],
            [ "question_number" => 10, "number" => 62, "text" => '导游专业' ],
            [ "question_number" => 10, "number" => 63, "text" => '外联专业' ],
            [ "question_number" => 10, "number" => 64, "text" => '网站专业和丰富' ],
            [ "question_number" => 10, "number" => 65, "text" => 'TA好评多' ],
            [ "question_number" => 10, "number" => 66, "text" => '其它' ]
        ]
    ],
    [
        "category" => 4,
        "number" => 11,
        "text" => '你认为CH有哪些地方可以改进？',
        "selectedAnswer" => $config['defaultAnswer'],
        "answerChoiceList" => [
            [ "question_number" => 11, "number" => 67, "text" => '导游讲解的深度和趣味性' ],
            [ "question_number" => 11, "number" => 68, "text" => '实际走团安排更灵活' ],
            [ "question_number" => 11, "number" => 69, "text" => '车辆的舒适度和干净程度' ],
            [ "question_number" => 11, "number" => 70, "text" => '酒店的选择' ],
            [ "question_number" => 11, "number" => 71, "text" => '出发前来中国的常识提醒' ],
            [ "question_number" => 11, "number" => 72, "text" => '其它' ]
        ]
    ],
    [
        "category" => 4,
        "number" => 12,
        "text" => '未来两年你是否考虑再来亚洲？期待去哪些目的地？',
        "selectedAnswer" => $config['defaultAnswer'],
        "answerChoiceList" => [
            [ "question_number" => 12, "number" => 73, "text" => '不考虑' ],
            [ "question_number" => 12, "number" => 74, "text" => '考虑' ],
            [ "question_number" => 12, "number" => 75, "text" => '其它计划' ]
        ]
    ]
];
